## org.eclipse.datatools.connectivity.sqm.core.connection
Class DatabaseConnectionRegistry

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.connection.DatabaseConnectionRegistry

    public class DatabaseConnectionRegistry

extends java.lang.Object

Publicly exposes a way to get at the ConnectionInfo for the Database

Method Summary
`static ConnectionInfo` `getConnectionForDatabase(Database database)` Returns a ConnectionInfo object for the Database

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getConnectionForDatabase

    public static ConnectionInfo getConnectionForDatabase(Database database)

  Returns a ConnectionInfo object for the Database

  Parameters:
    `database` -
  Returns:

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.